Robert,

> On 27 May 2015, at 21:52, Robert White <ai.robert.wangsh...@gmail.com> wrote:
> 
> Dear all,
> 
> I have the following errors while installing. It doesn't seem that google 
> give me much help on solving this problem. 
> 
> Can anyone help please?
> 
> 
> [ -d   "/home/robert/pp" ] || mkdir "/home/robert/pp"
> [ -d   "/home/robert/pp"/bin ] || mkdir "/home/robert/pp"/bin
> {       { echo "val product_version : string = \"3.1w5\"; val copyright : 
> string = \"Copyright (c) Lemma 1 Ltd. 2008\"; use\"dtd108.sml\"; 
> use\"imp108.sml\";" | poly ; } && { polyc  -o slrp-ml pp-ml.o || 
> LD_RUN_PATH=/usr/lib c++  -o slrp-ml pp-ml.o -L/usr/lib -lpolymain -lpolyml ; 
> } && { echo "PPBuild.pp'save_name := \"slrpdb\"; PPBuild.pp'save ();" | 
> slrp-ml ; }   }  > dtd108.ldd
> /bin/sh: 1: polyc: not found
> /usr/bin/ld: cannot find -lpolyml
> collect2: error: ld returned 1 exit status
> dev.mkf:334: recipe for target 'slrp-ml' failed
> make: *** [slrp-ml] Error 1


It looks like a problem either with the location or the version of you Poly/ML 
installation..
What did the configure script report about Poly/ML? There may also be some more 
useful
information in the file src/dev/dtd108.ldd.

Regards,

Rob.
_______________________________________________
Proofpower mailing list
Proofpower@lemma-one.com
http://lemma-one.com/mailman/listinfo/proofpower_lemma-one.com

Reply via email to